<?php
/**
 * The template part for displaying results in search pages
 *
 * @package xMag
 * @since xMag 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<?php $blog_type = get_theme_mod( 'xmag_blog', 'layout2' ); ?>
	
	<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
		<figure class="entry-thumbnail">
			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php xmag_blog_thumb(); ?>
				<span class="format-icon"></span>
			</a>
		</figure>
	<?php endif; // if has_post_thumbnail ?>
	
	<header class="entry-header">
		<?php if ( 'post' === get_post_type() ) : ?>
			<div class="entry-meta">
				<span class="posted-on"><?php the_time('M j, Y') ?></span>
				<span class="sep"></span>
				<span class="category"><?php the_category(' '); ?></span>
			</div>
		<?php endif; ?>
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
	</header><!-- .entry-header -->
	
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->

</article><!-- #post-## -->
