<?php
/**
 * The default template for displaying content
 *
 * @package xMag
 * @since xMag 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<?php $blog_type = get_theme_mod( 'xmag_blog', 'layout2' ); ?>
	
	<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
		<figure class="entry-thumbnail">
			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php xmag_blog_thumb(); ?>
				<span class="format-icon"></span>
			</a>
		</figure>
	<?php endif; // if has_post_thumbnail ?>
	
	<header class="entry-header">
		<div class="entry-meta">
			<span class="posted-on">
				<?php the_time( get_option( 'date_format' ) ); ?>
			</span>
			<span class="sep"></span>
			<span class="category"><?php the_category(' '); ?></span>
		</div>
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
	</header><!-- .entry-header -->
	
	<div class="entry-summary">
		<?php the_excerpt(); ?>
		
		<?php if ( is_sticky() && is_home() && ! is_paged() ) { ?>
			<a class="more-link" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php _e( 'Read more', 'xmag' ); ?>
			</a>
		<?php } ?>
	</div><!-- .entry-summary -->

</article><!-- #post-## -->
